searchNodes=[{"doc":"Depayloads H264 RTP payloads into H264 NAL Units. Based on RFC 6184 . Supported types: Single NALU, FU-A, STAP-A. Pads :input Availability :always Caps Membrane.RTP Demand unit :buffers Direction :input Mode :pull Name :input :output Availability :always Caps Membrane.RemoteStream , restrictions:&lt;br /&gt;&amp;nbsp;&amp;nbsp; content_format: Membrane.Caps.Video.H264 ,&lt;br /&gt;&amp;nbsp;&amp;nbsp; type: :packetized Direction :output Mode :pull Name :output","ref":"Membrane.RTP.H264.Depayloader.html","title":"Membrane.RTP.H264.Depayloader","type":"module"},{"doc":"Returns pads descriptions for Membrane.RTP.H264.Depayloader","ref":"Membrane.RTP.H264.Depayloader.html#membrane_pads/0","title":"Membrane.RTP.H264.Depayloader.membrane_pads/0","type":"function"},{"doc":"Module responsible for parsing H264 Fragmentation Unit.","ref":"Membrane.RTP.H264.FU.html","title":"Membrane.RTP.H264.FU","type":"module"},{"doc":"Parses H264 Fragmentation Unit If a packet that is being parsed is not considered last then a {:incomplete, t()} tuple will be returned. In case of last packet {:ok, {type, data}} tuple will be returned, where data is NAL Unit created by concatenating subsequent Fragmentation Units.","ref":"Membrane.RTP.H264.FU.html#parse/3","title":"Membrane.RTP.H264.FU.parse/3","type":"function"},{"doc":"Serialize H264 unit into list of FU-A payloads","ref":"Membrane.RTP.H264.FU.html#serialize/2","title":"Membrane.RTP.H264.FU.serialize/2","type":"function"},{"doc":"","ref":"Membrane.RTP.H264.FU.html#t:t/0","title":"Membrane.RTP.H264.FU.t/0","type":"type"},{"doc":"Defines a structure representing Fragmentation Unit (FU) header which is defined in RFC6184 + -- -- -- -- -- -- -- - + | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | + - + - + - + - + - + - + - + - + | S | E | R | Type | + -- -- -- -- -- -- -- - +","ref":"Membrane.RTP.H264.FU.Header.html","title":"Membrane.RTP.H264.FU.Header","type":"module"},{"doc":"Adds FU header","ref":"Membrane.RTP.H264.FU.Header.html#add_header/4","title":"Membrane.RTP.H264.FU.Header.add_header/4","type":"function"},{"doc":"Parses Fragmentation Unit Header It will fail if the Start bit and End bit are both set to one in the same Fragmentation Unit Header, because a fragmented NAL unit MUST NOT be transmitted in one FU.","ref":"Membrane.RTP.H264.FU.Header.html#parse/1","title":"Membrane.RTP.H264.FU.Header.parse/1","type":"function"},{"doc":"MUST be set to true only in the last packet in a sequence.","ref":"Membrane.RTP.H264.FU.Header.html#t:end_flag/0","title":"Membrane.RTP.H264.FU.Header.end_flag/0","type":"type"},{"doc":"MUST be set to true only in the first packet in a sequence.","ref":"Membrane.RTP.H264.FU.Header.html#t:start_flag/0","title":"Membrane.RTP.H264.FU.Header.start_flag/0","type":"type"},{"doc":"","ref":"Membrane.RTP.H264.FU.Header.html#t:t/0","title":"Membrane.RTP.H264.FU.Header.t/0","type":"type"},{"doc":"Defines a structure representing Network Abstraction Layer Unit Header Defined in RFC 6184 + -- -- -- -- -- -- -- - + | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | + - + - + - + - + - + - + - + - + | F | NRI | Type | + -- -- -- -- -- -- -- - +","ref":"Membrane.RTP.H264.NAL.Header.html","title":"Membrane.RTP.H264.NAL.Header","type":"module"},{"doc":"Adds NAL header to payload","ref":"Membrane.RTP.H264.NAL.Header.html#add_header/4","title":"Membrane.RTP.H264.NAL.Header.add_header/4","type":"function"},{"doc":"Parses type stored in NAL Header","ref":"Membrane.RTP.H264.NAL.Header.html#decode_type/1","title":"Membrane.RTP.H264.NAL.Header.decode_type/1","type":"function"},{"doc":"Encodes given NAL type","ref":"Membrane.RTP.H264.NAL.Header.html#encode_type/1","title":"Membrane.RTP.H264.NAL.Header.encode_type/1","type":"function"},{"doc":"","ref":"Membrane.RTP.H264.NAL.Header.html#parse_unit_header/1","title":"Membrane.RTP.H264.NAL.Header.parse_unit_header/1","type":"function"},{"doc":"NRI stands for nal_ref_idc. This value represents importance of frame that is being parsed. The higher the value the more important frame is (for example key frames have nri value of 3) and a value of 00 indicates that the content of the NAL unit is not used to reconstruct reference pictures for inter picture prediction. NAL units with NRI equal 0 can be discarded without risking the integrity of the reference pictures, although these payloads might contain metadata.","ref":"Membrane.RTP.H264.NAL.Header.html#t:nri/0","title":"Membrane.RTP.H264.NAL.Header.nri/0","type":"type"},{"doc":"","ref":"Membrane.RTP.H264.NAL.Header.html#t:supported_types/0","title":"Membrane.RTP.H264.NAL.Header.supported_types/0","type":"type"},{"doc":"","ref":"Membrane.RTP.H264.NAL.Header.html#t:t/0","title":"Membrane.RTP.H264.NAL.Header.t/0","type":"type"},{"doc":"Specifies the type of RBSP data structure contained in the NAL unit. Types are defined as follows. ID RBSP Type 0 Unspecified 1-23 NAL unit types 24 STAP-A 25 STAP-B 26 MTAP-16 27 MTAP-24 28 FU-A 29 FU-B Reserved 30-31 RBSP stands for Raw Byte Sequence Payload RBSP types are described in detail here","ref":"Membrane.RTP.H264.NAL.Header.html#t:type/0","title":"Membrane.RTP.H264.NAL.Header.type/0","type":"type"},{"doc":"","ref":"Membrane.RTP.H264.NAL.Header.html#t:types/0","title":"Membrane.RTP.H264.NAL.Header.types/0","type":"type"},{"doc":"","ref":"Membrane.RTP.H264.NAL.Header.html#t:unsupported_types/0","title":"Membrane.RTP.H264.NAL.Header.unsupported_types/0","type":"type"},{"doc":"Payloads H264 NAL Units into H264 RTP payloads. Based on RFC 6184 Supported types: Single NALU, FU-A, STAP-A. Element options Passed via struct Membrane.RTP.H264.Payloader.t/0 max_payload_size non_neg_integer ( ) Default value: 1400 Maximal size of outputted payloads in bytes. Doesn't work in the single_nalu mode. The resulting RTP packet will also contain RTP header (12B) and potentially RTP extensions. For most applications, everything should fit in standard MTU size (1500B) after adding L3 and L2 protocols' overhead. mode :single_nalu | :non_interleaved Default value: :non_interleaved In :single_nalu mode, payloader puts exactly one NAL unit into each payload, altering only RTP metadata. :non_interleaved mode handles also FU-A and STAP-A packetization. See RFC 6184 for details. Pads :input Availability :always Caps Membrane.Caps.Video.H264 , restrictions:&lt;br /&gt;&amp;nbsp;&amp;nbsp; stream_format: :byte_stream ,&lt;br /&gt;&amp;nbsp;&amp;nbsp; alignment: :nal Demand unit :buffers Direction :input Mode :pull Name :input :output Availability :always Caps Membrane.RTP Direction :output Mode :pull Name :output","ref":"Membrane.RTP.H264.Payloader.html","title":"Membrane.RTP.H264.Payloader","type":"module"},{"doc":"Returns pads descriptions for Membrane.RTP.H264.Payloader","ref":"Membrane.RTP.H264.Payloader.html#membrane_pads/0","title":"Membrane.RTP.H264.Payloader.membrane_pads/0","type":"function"},{"doc":"Returns description of options available for this module","ref":"Membrane.RTP.H264.Payloader.html#options/0","title":"Membrane.RTP.H264.Payloader.options/0","type":"function"},{"doc":"Struct containing options for Membrane.RTP.H264.Payloader","ref":"Membrane.RTP.H264.Payloader.html#t:t/0","title":"Membrane.RTP.H264.Payloader.t/0","type":"type"},{"doc":"Module responsible for parsing Single Time Agregation Packets type A. Documented in RFC6184 0 1 2 3 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + | RTP Header | + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + | STAP - A NAL HDR | NALU 1 Size | NALU 1 HDR | + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + | NALU 1 Data | : : + + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + | | NALU 2 Size | NALU 2 HDR | + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + | NALU 2 Data | : : | + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + | :... OPTIONAL RTP padding | + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - + - +","ref":"Membrane.RTP.H264.StapA.html","title":"Membrane.RTP.H264.StapA","type":"module"},{"doc":"","ref":"Membrane.RTP.H264.StapA.html#aggregation_unit_size/1","title":"Membrane.RTP.H264.StapA.aggregation_unit_size/1","type":"function"},{"doc":"","ref":"Membrane.RTP.H264.StapA.html#parse/1","title":"Membrane.RTP.H264.StapA.parse/1","type":"function"},{"doc":"","ref":"Membrane.RTP.H264.StapA.html#serialize/3","title":"Membrane.RTP.H264.StapA.serialize/3","type":"function"},{"doc":"RTP payloader and depayloader for H264. It is part of Membrane Multimedia Framework .","ref":"readme.html","title":"Membrane RTP H264 plugin","type":"extras"},{"doc":"This plugin registers default payloader and depayloader for H264 RTP payload format and thus can be automatically used by Membrane RTP plugin whenever added to dependencies. Of course it can be manually linked in a custom pipeline too.","ref":"readme.html#usage","title":"Membrane RTP H264 plugin - Usage","type":"extras"},{"doc":"This package currently supports only Single Nal Unit Mode and Non-Interleaved (STAP-A and FU-A) packetization modes. Interleaved mode is currently not supported. Please refer to RFC 6184 for details.","ref":"readme.html#supported-packetization-modes","title":"Membrane RTP H264 plugin - Supported packetization modes","type":"extras"},{"doc":"The package can be installed by adding membrane_rtp_h264_plugin to your list of dependencies in mix.exs : def deps do [ { :membrane_rtp_h264_plugin , &quot;~&gt; 0.6.0&quot; } ] end The docs can be found at HexDocs .","ref":"readme.html#installation","title":"Membrane RTP H264 plugin - Installation","type":"extras"},{"doc":"Copyright 2019, Software Mansion Licensed under the Apache License, Version 2.0","ref":"readme.html#copyright-and-license","title":"Membrane RTP H264 plugin - Copyright and License","type":"extras"},{"doc":"Apache License Version 2.0, January 2004 http://www.apache.org/licenses/ TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION 1. Definitions. &quot;License&quot; shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document. &quot;Licensor&quot; shall mean the copyright owner or entity authorized by the copyright owner that is granting the License. &quot;Legal Entity&quot; shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, &quot;control&quot; means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity. &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity exercising permissions granted by this License. &quot;Source&quot; form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files. &quot;Object&quot; form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types. &quot;Work&quot; shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below). &quot;Derivative Works&quot; shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof. &quot;Contribution&quot; shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, &quot;submitted&quot; means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as &quot;Not a Contribution.&quot; &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work. 2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the Work and such Derivative Works in Source or Object form. 3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed. 4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions: (a) You must give any other recipients of the Work or Derivative Works a copy of this License; and (b) You must cause any modified files to carry prominent notices stating that You changed the files; and (c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and (d) If the Work includes a &quot;NOTICE&quot; text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License. You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License. 5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions. 6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file. 7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License. 8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages. 9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability. END OF TERMS AND CONDITIONS APPENDIX: How to apply the Apache License to your work. To apply the Apache License to your work, attach the following boilerplate notice, with the fields enclosed by brackets &quot;[]&quot; replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same &quot;printed page&quot; as the copyright notice for easier identification within third-party archives. Copyright 2019 Software Mansion Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html","title":"LICENSE","type":"extras"}]